Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Blog Ubuntu -- Správa "projektů" české komunity Ubuntu

Novinky: Školení nejen k OS Ubuntu pro širokou veřejnost, více informací zde.

Autor Téma: problém s instalací Certbot na raspberry  (Přečteno 609 krát)

maxus_aurelius

  • Návštěvník
  • *
  • Příspěvků: 7
  • Karma: +0/-0
    • Zobrazit profil
problém s instalací Certbot na raspberry
« kdy: 08 Březen 2018, 11:38:49 »
Ahoj,

pokouším se na Raspberry 3 (Linux 4.9.35-v7+ #1014 SMP Fri Jun 30 14:47:43 BST 2017 armv7l GNU/Linux) nainstalovat Certbot (Let’s Encrypt), ale nedaří se - vždy to skončí touto hláškou:
Kód: [Vybrat]
root@cenjed:~# sudo apt-get install certbot -t jessie-backports -y --force-yes
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 certbot : Depends: python-certbot (= 0.10.2-1~bpo8+1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.


zkousel jsem :
Kód: [Vybrat]
sudo apt-get update
sudo apt-get dist-upgrade
sudo apt-get autoremove
sudo dpkg --configure -a
sudo apt-get -f install

a nepomohlo nic :(

zkousel jsem na 3různých Raspi a se stejným výsledkem :(

napadá vás co s tím?

Beetljuice

  • Stálý člen
  • ***
  • Příspěvků: 832
  • Karma: +43/-5
    • Zobrazit profil
Re:problém s instalací Certbot na raspberry
« Odpověď #1 kdy: 26 Březen 2018, 19:43:02 »
Co nejdřív, anebo společně nainstalovat python-certbot?
Aj dont spíík ííngliš :)

maxus_aurelius

  • Návštěvník
  • *
  • Příspěvků: 7
  • Karma: +0/-0
    • Zobrazit profil
Re:problém s instalací Certbot na raspberry
« Odpověď #2 kdy: 27 Březen 2018, 08:43:45 »
bohuzel:

Kód: [Vybrat]
apt-get install python-certbot
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 python-certbot : Depends: python-acme (>= 0.10.2) but it is not going to be ins                                                                                                        talled
                  Depends: python-cryptography (>= 0.7) but 0.6.1-1+deb8u1 is to                                                                                                         be installed
                  Recommends: certbot but it is not going to be installed
                  Recommends: python-psutil (>= 2.2.1) but it is not going to be                                                                                                         installed
E: Unable to correct problems, you have held broken packages.

jarek163

  • Návštěvník
  • *
  • Příspěvků: 30
  • Karma: +12/-0
    • Zobrazit profil
Re:problém s instalací Certbot na raspberry
« Odpověď #3 kdy: 27 Březen 2018, 10:09:25 »
Přes repositář?
sudo add-apt-repository ppa:certbot/certbot

maxus_aurelius

  • Návštěvník
  • *
  • Příspěvků: 7
  • Karma: +0/-0
    • Zobrazit profil
Re:problém s instalací Certbot na raspberry
« Odpověď #4 kdy: 27 Březen 2018, 10:12:58 »
hmm - bohuzel take ne :(

Kód: [Vybrat]
sudo add-apt-repository ppa:certbot/certbot
You are about to add the following PPA to your system:
 This is the PPA for packages prepared by Debian Let's Encrypt Team and backported for Ubuntu(s).
 More info: https://launchpad.net/~certbot/+archive/ubuntu/certbot
Press [ENTER] to continue or ctrl-c to cancel adding it

Traceback (most recent call last):
  File "/usr/bin/add-apt-repository", line 167, in <module>
    sp = SoftwareProperties(options=options)
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 105, in __init__
    self.reload_sourceslist()
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 595, in reload_sourceslist
    self.distro.get_sources(self.sourceslist)
  File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 89, in get_sources
    (self.id, self.codename))
aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for Raspbian/jessie

jarek163

  • Návštěvník
  • *
  • Příspěvků: 30
  • Karma: +12/-0
    • Zobrazit profil

maxus_aurelius

  • Návštěvník
  • *
  • Příspěvků: 7
  • Karma: +0/-0
    • Zobrazit profil
Re:problém s instalací Certbot na raspberry
« Odpověď #6 kdy: 27 Březen 2018, 10:38:32 »
tak nic :( - podobných postupů jsem zkoušel několik, ale pokaždé to skončí stejně ..

Kód: [Vybrat]
sudo apt-get install python-certbot-apache -t jessie-backports
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 python-certbot-apache : Depends: certbot (>= 0.10.2~) but it is not going to be installed
                         Depends: python-acme but it is not going to be installed
                         Depends: python-certbot but it is not going to be installed
                         Depends: python-zope.component but it is not installable
                         Depends: python-zope.interface but it is not installable
E: Unable to correct problems, you have held broken packages.